Summary:	Common netFluid Technology Function Set
Summary(pl.UTF-8):	Wspólny zestaw funkcji netFluid Technology
Name:		phlib
Version:	1.20
Release:	6
License:	GPL
Group:		Libraries
Source0:	http://www.nfluid.com/download/src/%{name}-%{version}.tgz
# Source0-md5:	521c93a461a58ab808187abbc54a39a7
Patch0:		%{name}-soname.patch
Patch1:		%{name}-types.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
phlib provides the core function set used by netFluid Technology. It
provides such things as a universal double linked list, very efficient
constant memory string parsing and building, fixed memory relocatable.

%description -l pl.UTF-8
phlib udostępnia podstawowy zestaw funkcji wykorzystywanych przez
netFluid Technology. Udostępnia takie rzeczy jak uniwersalne podwójne
listy, bardzo efektywną analizę składniową i tworzenie łańcuchów w
pamięci, stałą relokację pamięci.

%package devel
Summary:	Common netFluid Technology Function Set - development files
Summary(pl.UTF-8):	Wspólny zestaw funkcji netFluid Technology - pliki dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for phlib.

%description devel -l pl.UTF-8
Pliki dla programistów do phlib.

%package static
Summary:	Common netFluid Technology Function Set - static libraries
Summary(pl.UTF-8):	Wspólny zestaw funkcji netFluid Technology - biblioteki statyczne
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
phlib static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki phlib.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
CFLAGS="%{rpmcflags} -fPIC"
%configure \
	cflags=our
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpxtra.so.*.*
%ghost %{_libdir}/libpxtra.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpxtra.so
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/libpxtra.a
%changelog
* Fri Oct 21 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/phlib.git;a=log;h=master

* Fri Oct 21 2016 Jan Rękorajski <baggins@pld-linux.org> e0c16c1
- release 6 (by relup.sh)

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 8dce815
- rel 5
- ghost soname link

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 474fecd
- rel 4
- fix conflicting types for 'xl_unique_filename'

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 593db1c
- fix conflicting types for 'xl_unique_filename'

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 0045768
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5319739
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8a3cd44
- converted to UTF-8

* Thu Nov 09 2006 Elan Ruusamäe <glen@pld-linux.org> 1f9e9fc
- strict internal deps

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 941fdae
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Sun Jan 04 2004 undefine <undefine@pld-linux.org> 777edfe
- release 2

* Sat Dec 27 2003 undefine <undefine@pld-linux.org> ba2b17e
- copy config.sub from am to allow build on amd64

* Fri Dec 05 2003 undefine <undefine@pld-linux.org> 36357bc
- update to 1.20

* Tue Oct 14 2003 Jakub Bogusz <qboosh@pld-linux.org> 42a6915
- pl fix: don't translate part of company name

* Tue Oct 14 2003 Jakub Bogusz <qboosh@pld-linux.org> 4e8ad43
- added soname patch, forced to use our optflags, added ldconfig

* Tue Oct 14 2003 Jakub Bogusz <qboosh@pld-linux.org> 0acde3c
- set soname when linking shared libs

* Tue Sep 09 2003 undefine <undefine@pld-linux.org> da7498e
- add %dir %{_includedir}/%{name} do devel subpackage

* Mon Sep 08 2003 undefine <undefine@pld-linux.org> c33fd2f
- release 1

* Mon Sep 08 2003 ankry <ankry@pld-linux.org> bd67b17
- some pl cosmetics

* Mon Sep 08 2003 undefine <undefine@pld-linux.org> e7a3a4b
- move *.so files to phlib subpackage

* Mon Sep 08 2003 undefine <undefine@pld-linux.org> cdf26cb
- +x on _libdir/*.so.*

